%define pypi_name Unidecode

Name:		python3-unidecode
Version:	1.0.23
Release:	%mkrel 2
Summary:	US-ASCII transliterations of Unicode text

Group:		Development/Python
License:	GPL+ or Artistic
URL:		http://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:	https://files.pythonhosted.org/packages/source/U/Unidecode/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-unidecode}

%description
This is a python port of Text::Unidecode Perl module. It provides a function,
'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
characters.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

rm -f %{buildroot}%{_bindir}/unidecode

%files -n python3-unidecode
%{python3_sitelib}/unidecode/
%{python3_sitelib}/*.egg-info


%changelog
* Wed Aug 03 2022 tex - 1.0.23-2pclos2022
- rebuild against updates

* Sun Jan 19 2020 tex - 1.0.23-1pclos2020
- create
